package com.factory.controller.wx;

import com.factory.base.entity.aggregates.ResponseBean;
import com.factory.wx.entity.res.FunctionsRes;
import com.factory.wx.service.WxService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * 小程序功能显示
 *
 * @author sMArT
 * @version 1.0
 * @date 2021-07-11 2:35 下午
 */
@Api(tags = "微信小程序端")
@RestController
@RequestMapping("/wx")
@Slf4j
public class WxController {
    @Autowired
    private WxService wxService;

    @ApiOperation(value = "用户功能列表")
    @GetMapping("/functions/list")
    public ResponseBean<List<FunctionsRes>> getUserFunctions(HttpServletRequest request) {
        Long userId = (Long) request.getAttribute("LOGIN_USER_ID");//获取用户id
        return wxService.getUserFunction(userId);
    }
}
