package com.factory.wx.service;

import com.factory.base.entity.aggregates.PageBean;
import com.factory.base.entity.aggregates.ResponseBean;
import com.factory.base.entity.po.benteler.BentelerPlan;
import com.factory.wx.entity.req.*;
import com.factory.wx.entity.res.PlanApprovalDetailRes;
import com.factory.wx.entity.res.PlanApprovalRes;
import com.factory.wx.entity.res.PlanPassDetailRes;

import java.util.List;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-07-13 12:13 下午
 */
public interface PlanService {
    /**
     * 获取审批计划列表
     *
     * @param userId
     * @return
     */
    List<PlanApprovalRes> getApprovalList(Long userId);

    /**
     * 分页显示计划列表
     *
     * @param planListReq
     * @return
     */
    PageBean<BentelerPlan> getApprovalListByPage(PlanListReq planListReq);

    /**
     * 获取审批计划详情
     *
     * @param planInfoReq
     * @return
     */
    PlanApprovalDetailRes getApprovalDetail(PlanInfoReq planInfoReq);

    /**
     * 计划审批
     *
     * @param planApprovalReq
     * @return
     */
    ResponseBean approvalOperate(PlanApprovalReq planApprovalReq);

    /**
     * 计划放行列表
     *
     * @param passListReq
     * @return
     */
    PageBean<BentelerPlan> getPassListByPage(PassListReq passListReq);

    /**
     * 计划放行详情
     *
     * @param planInfoReq
     * @return
     */
    PlanPassDetailRes getPassDetail(PlanInfoReq planInfoReq);

    /**
     * 计划放行
     *
     * @param planApprovalTaskReq
     * @return
     */
    ResponseBean approvalTaskOperate(PlanApprovalTaskReq planApprovalTaskReq);

    /**
     * 获得计划提醒列表
     *
     * @param reminderReq
     * @return
     */
    PageBean<BentelerPlan> getReminderListByPage(ReminderReq reminderReq);
}
